Bug 455295

Summary: kernel install doesn't check for mounted /boot
Product: [Fedora] Fedora Reporter: Philip Ashmore <contact>
Component: preupgradeAssignee: Seth Vidal <skvidal>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9CC: kernel-maint, wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 12:29:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Philip Ashmore 2008-07-14 14:36:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
I upgraded from Fedora 8 to fedora 9 with preupgrade.
I had to grub-install to fix broken grub and ended up using the F8 kernel.
After getting the system into a usable state I did a yum update that pulled in the F9 kernel.
It installed onto the /boot folder (in my LVM ext3 partition) as the upgrade dropped the /boot partition mount.


Version-Release number of selected component (if applicable):
kernel-2.6.25.9-76.fc9.i68

How reproducible:
Didn't try


Steps to Reproduce:
1. Run preupgrade
2. Try to update the kernel with yum update.


Actual Results:
The kernel installed vmlinuz*,initrd* and System.map* into the /boot directory of my LVM /boot directory.
On my system that's /dev/mapper/VolGroup00-LogVol00.


Expected Results:
The kernel should have installed vmlinuz*,initrd* and System.map* onto the boot partition.
On my system that's /dev/sda1.


Additional info:
I would have set /dev/sda1 to mount to /boot with /etc/fstab by using the information on the mount from /etc/mtab, but that file seems to have disappeared.

I would have used the /dev/sda1 GUID for the mount entry but I don't know how to do that (perhaps a migration document would help).

The Fedora 9 live image has a /boot entry that makes reference to EFI - is this EFI emulation? Do I need a new bios? A new laptop? From what I've read, I would need elilo, but preupgrade didn't mention that.
Comment 1 Dave Jones 2008-07-14 15:20:30 EDT
This sounds more like a bug with the preupgrade script.
It shouldn't be unmounting /boot

The kernel package is just like any other rpm, it expects that the partitions
its installing to to be mounted.

Not having /boot be a separate partition is a valid use-case, so aborting if we
find that nothing is mounted there isn't feasible.
Comment 2 Will Woods 2008-07-14 15:36:37 EDT
This sounds like it's probably a duplicate of bug 450143, followed by a
partially-successful recovery that left things in an inconsistent state.
preupgrade doesn't unmount /boot. Nor does it change /etc/fstab - that's done by
anaconda. 

The EFI stuff can be ignored - we still support regular BIOS booting just fine.

What happened during the F9 upgrade that broke the system? How did you recover
from that? 

Also - you can list the labels/UUIDs of your system's partitions with the
'blkid' command.
Comment 3 Philip Ashmore 2008-07-15 06:48:57 EDT
I have a live image installed on /dev/sda3, but it's install application can't
see the other partitions - https://bugzilla.redhat.com/show_bug.cgi?id=446367
, so I couldn't update / install from that, so I ran preupgrade.
It downloaded ~800MB of RPMs in /var/cache/yum/anaconda-Fedora-200805072150.i386
After reboot/installation/reboot grub wasn't functional.
I used my Fedora 8 cd to run grub-install. Then I could boot Fedora 9 to run F9
grun-install.
for some reason the F9 kernel wasn't installed, so I looked in
/var/cache/yum/anaconda-Fedora-200805072150.i386 - it was empty, so I used the
existing F8 kernel.
I had to update python to use yum. After that I could do a yum update,
downloading the packages again.

I just used the info from blkid to update my /etc/fstab - thanks.

Regarding EFI (sorry for getting off topic), I would personally prefer to use it
as it would allow me to boot from external (USB/firewire) media - does Fedora
provide EFI emulation? I know the better option would be for Dell to provide an
EFI bios upgrade, but I wont hold my breath.

Also, do you know if EFI supports PCMCIA devices?
Comment 4 Bug Zapper 2009-06-09 22:05:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:29:37 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.